<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}TH-BLOG | {% endblock %}</title>
        {% block stylesheets %}
            <link rel="stylesheet" href="{{ asset('css/bootstrap/bootstrap.css') }}"/>
            <link rel="stylesheet" href="{{ asset('css/layout.css') }}">
        {% endblock %}
    </head>

    <body>
        <div class="row align-items-center col-sm-12" style="margin:0px; background-color: #b50d0d; min-height:100px">
            <h1 class=" text-black" style="margin-left:15px;font-family:impact;">
            {% block layoutTitle %}
                TH-BLOG
            {% endblock %}
            </h1>
        </div>

        {% set items %}
        
        {# Home | Posts | Profil | Login #}
            <li class="nav-item active">
              <a class="nav-link" href="/" style="color:red;font-family:impact">Home <span class="sr-only">(current)</span></a>
            </li>

            <li class="nav-item active">
              <a class="nav-link" href="/posts/post" style="color:red;font-family:impact">Posts <span class="sr-only">(current)</span></a>
            </li>


            {% if is_granted('ROLE_ADMIN') %}
                <li class="nav-item"><a class="nav-link" href="/user/" style="color:red;font-family:impact">
                    Admin
                </a></li>
            {% endif %}

            {% if app.user %}
                <li class="nav-item">
                    <li class="nav-item"><a class="nav-link" href="/user/{{app.user.id}}" style="color:red;font-family:impact;position:absolute;right:80px;">
                    {{ app.user }}
                </a></li>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('app_logout') }}" style="color:antiquewhite;font-family:impact;background:#b50d0d;position:absolute;right:10px;">Logout</a>
                </liv>
            {% else %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('app_login') }}" style="color:antiquewhite;font-family:impact;background:#b50d0d;position:absolute;right:10px;">Login</a>
                </liv>
            {% endif %}
            
        {% endset %}

        {% include("general/navBar.html.twig") %}

        {% block body %}{% endblock %}

        {% block javascripts %}
            <script src="{{ asset('js/bootstrap/bootstrap.js') }}"></script>
        {% endblock %}
    </body>
</html>
